Subject: [OPSAWG] draft-ietf-opsawg-rfc5066bis: status

From: Benoit Claise <[email-masked]>
Date: Thu, 02 May 2013 21:21:53 +0200

Ed,

We just had an IEEE/IESG coordination call, and we discussed 
draft-ietf-opsawg-rfc5066bis.

The situation is that IEEE 802.3.1 draft ballot ended 2 days ago.
The IEEE document currently contains a pointer to the 
draft-ietf-opsawg-rfc5066bis draft.
The IEEE document should be finalized by mid June. If this 
draft-ietf-opsawg-rfc5066bis would be a RFC by this time, the pointer 
will be replaced by the correct RFC. This is the ideal situation.
So there is some sort of urgency publishing this RFC5066bis document.

Regards, Benoit

Below is some background information.

Regards, Benoit

7. IETF Ethernet MIB, ADSL MIB and IEEE 802.3
7.1. Description
In the transition process between the IETF and the IEEE the following 
documents were taken over by IEEE 802.3:
RFC 2108 - Ethernet Repeater Devices
RFC 3621 - Power Ethernet MIB
RFC 3635 - Ethernet-like Interface Types
RFC 3637 - Ethernet WAN Interface Sublayer
RFC 4836 - Ethernet Medium Attachment Units (MAUs)
RFC 4837 - Ethernet Passive Optical Networks (EPON)
RFC 4878 - Operations, Administration, and Maintenance (OAM) Functions 
on Ethernet-Like Interfaces
RFC 5066 - Ethernet in the First Mile Copper (EFMCu) Interfaces MIB
The IF-CAP-STACK-MIB in RFC 5066 is generic and the IETF proposed to 
continue to be maintained by the IETF in a separate new document
The IEEE 802.3 proposed to create an RFC that documents the issues 
related to the transition of the Ethernet MIB work to IEEE 802.3 similar 
to RFC 4663 which documents the transition of the Bridge MIB work to 
IEEE 802.1
- The OPSAWG was rechartered in October 2012 to include the two relevant 
documents
- Status 4/30/13: draft-ietf-opsawg-rfc5066bis received a number of 
substantial comments in the OPSAWG review which resulted in the need for 
substantial edits, revised version is still in progress. The second I-D 
was not submitted yet. The IEEE 802.3.1 completes Recirculation Sponsor 
Ballot on 4/30. Dan submitted an Approve ballot, the document is 
expected to be released in June, probably with reference to the 
Internet-Draft.

7.2. Relevant Documents
- IEEE 802.3.1 Draft
- http://datatracker.ietf.org/wg/opsawg/charter/
- https://datatracker.ietf.org/doc/draft-ietf-opsawg-rfc5066bis/

7.3. Owners
- Benoit Claise, Dan Romascanu, Ed Beili (IETF), Howard Frazier (IEEE 802.3)

7.4. Action Items
- Dan Romascanu will enter the Sponsor Ballot pool and enter a comment 
suggesting that the IEEE 802.3 take out the IEEE8023-IF-CAP-STACK-MIB 
from their document and refer the IF-CAP-STACK-MIB instead - in 
progress, Sponsor Ballot started, comments need to be submitted until 
1/13 - Done
- Ed Beili will write an I-D targeting standards track that obsoletes 
RFC 5066 and extract IF-CAP-STACK-MIB from RFC5056, with wording 
emphasizing the generic nature of this module - now on the OPSAWG 
charter, CRITICAL TIMING issue initial I-D to be submitted by 12/28, to 
become an OPSAWG document before 1/25 - done
- Ed Beili will write an I-D targeting informational RFC, similar to RFC 
4663, with:
a) Listing of all the RFCs obsoleted by the IEEE 802.3.1-2011
b) A table mapping the old IETF MIB names with the corresponding new 
IEEE ones
c) Clarifications/rules on the IETF-IEEE interactions, mailing lists, 
reviews
d) Clarifications on the intellectual property considerations
The first version will be posted by Ed. Then Dan Romascanu and Howard 
Frazier will add IETF-IEEE interactions chapter. - Now on OPSAWG charter
- Howard Frazier to add a EDITOR'S NOTE in the current IEEE MIB 
document, to explain the situation - Done
- Dan Romascanu will submit an Approve Ballot in the Recirculation 
Sponsor Ballot (if all related issues are addressed) - Done

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 6 May 2013 11:58:19 +0000

Hi Ed,

I believe that it's better for the IEEE 802.3.1 to point to rfc5066bis because of the updated Security Considerations section. 

Thanks and Regards,

Dan

> -----Original Message-----
> From: Edward Beili [mailto:[email-masked]]
> Sent: Friday, May 03, 2013 8:46 AM
> To: Benoit Claise
> Cc: [email-masked]; Romascanu, Dan (Dan)
> Subject: RE: draft-ietf-opsawg-rfc5066bis: status
> 
> Benoit,
> I've just submitted the next draft of the rfc5066bis, my apologies for
> the delay.
> 
> Please note that we have agreed to remove the IF-CAP-STACK-MIB from the
> draft, leaving it defined in the RFC 5066, which means that the 802.3.1
> shall be pointing to RFC 5066 as the source for IF-CAP-STACK-MIB.
> 
> Regards,
> -E.
> 
> -----Original Message-----
> From: Benoit Claise [mailto:[email-masked]]
> Sent: Thursday, May 02, 2013 22:22
> To: Edward Beili
> Cc: [email-masked]; Romascanu, Dan (Dan)
> Subject: draft-ietf-opsawg-rfc5066bis: status
> 
> Ed,
> 
> We just had an IEEE/IESG coordination call, and we discussed draft-ietf-
> opsawg-rfc5066bis.
> 
> The IEEE document currently contains a pointer to the draft-ietf-opsawg-
> rfc5066bis draft.
> The IEEE document should be finalized by mid June. If this draft-ietf-
> opsawg-rfc5066bis would be a RFC by this time, the pointer will be
> replaced by the correct RFC. This is the ideal situation.
> 7. IETF Ethernet MIB, ADSL MIB and IEEE 802.3 7.1. Description In the
> transition process between the IETF and the IEEE the following documents
> were taken over by IEEE 802.3:
> RFC 3635 - Ethernet-like Interface Types RFC 3637 - Ethernet WAN
> Interface Sublayer RFC 4836 - Ethernet Medium Attachment Units (MAUs)
> RFC 4837 - Ethernet Passive Optical Networks (EPON) RFC 4878 -
> Operations, Administration, and Maintenance (OAM) Functions on Ethernet-
> Like Interfaces RFC 5066 - Ethernet in the First Mile Copper (EFMCu)
> Interfaces MIB The IF-CAP-STACK-MIB in RFC 5066 is generic and the IETF
> proposed to continue to be maintained by the IETF in a separate new
> document The IEEE 802.3 proposed to create an RFC that documents the
> issues related to the transition of the Ethernet MIB work to IEEE 802.3
> similar to RFC 4663 which documents the transition of the Bridge MIB
> work to IEEE 802.1
> d) Clarifications on the intellectual property considerations The first
> version will be posted by Ed. Then Dan Romascanu and Howard Frazier will
> add IETF-IEEE interactions chapter. - Now on OPSAWG charter

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 6 May 2013 12:12:21 +0000

A couple of more quick comments: 

- [rfc5066] must be Normative Reference
- there is a typo in the document header (the word Interfaces is mis-spelled)

Regards,

Dan

> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Romascanu, Dan (Dan)
> Sent: Monday, May 06, 2013 2:58 PM
> To: Edward Beili; Benoit Claise
> Cc: [email-masked]; [email-masked]
> Subject: Re: [OPSAWG] draft-ietf-opsawg-rfc5066bis: status
> 
> Hi Ed,
> 
> I believe that it's better for the IEEE 802.3.1 to point to rfc5066bis
> because of the updated Security Considerations section.
> 
> Thanks and Regards,
> 
> Dan
> 
> 
> 
> 
> > Please note that we have agreed to remove the IF-CAP-STACK-MIB from
> > the draft, leaving it defined in the RFC 5066, which means that the
> > 802.3.1 shall be pointing to RFC 5066 as the source for IF-CAP-STACK-
> MIB.
> >
> > Regards,
> > -E.
> >
> > draft-ietf- opsawg-rfc5066bis.
> >
> > draft-ietf-opsawg- rfc5066bis draft.
> > transition process between the IETF and the IEEE the following
> > Operations, Administration, and Maintenance (OAM) Functions on
> > Ethernet- Like Interfaces RFC 5066 - Ethernet in the First Mile Copper
> > (EFMCu) Interfaces MIB The IF-CAP-STACK-MIB in RFC 5066 is generic and
> > the IETF proposed to continue to be maintained by the IETF in a
> > separate new document The IEEE 802.3 proposed to create an RFC that
> > documents the issues related to the transition of the Ethernet MIB
> > work to IEEE 802.3 similar to RFC 4663 which documents the transition
> > of the Bridge MIB work to IEEE 802.1
> > - The OPSAWG was rechartered in October 2012 to include the two
> > relevant documents
> > substantial comments in the OPSAWG review which resulted in the need
> > for substantial edits, revised version is still in progress. The
> > second I-D was not submitted yet. The IEEE 802.3.1 completes
> > Recirculation Sponsor Ballot on 4/30. Dan submitted an Approve ballot,
> > the document is expected to be released in June, probably with
> > reference to the Internet-Draft.
> >
> > 7.2. Relevant Documents
> > - IEEE 802.3.1 Draft
> > charter, CRITICAL TIMING issue initial I-D to be submitted by 12/28,
> > to become an OPSAWG document before 1/25 - done
> > - Ed Beili will write an I-D targeting informational RFC, similar to
> > RFC 4663, with:
> > d) Clarifications on the intellectual property considerations The
> > first version will be posted by Ed. Then Dan Romascanu and Howard
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg